Skip to main content
GET
/
prod
/
event-campaigns
/
{id}
Get All Event Triggered Campaigns
curl --request GET \
  --url https://api.aimtell.com/prod/event-campaigns/{id} \
  --header 'X-Authorization-Api-Key: <api-key>'
[
  {
    "id": 819,
    "uid": "76cedd11b19e",
    "idSite": 179,
    "name": "Sample Triggered Notification # 1:  Abandoned Cart",
    "title": "",
    "body": "",
    "link": "",
    "customIcon": "https://s3.amazonaws.com/siteicons.aimtell.com/icon_40_1443032714..jpg",
    "delay": 0,
    "eventCategory": "cart",
    "eventAction": "abandoned",
    "eventLabel": "",
    "conversion_trigger": null,
    "collapse_key": null,
    "createdAt": "2016-10-24 23:26:06",
    "updatedAt": "2017-02-18 01:11:34",
    "status": 1,
    "sentcount": null,
    "clickcount": null,
    "conversions": null,
    "bounced": null,
    "draft": true,
    "campaign_results": {
      "sent": 0,
      "delivered": 0,
      "bounced": 0,
      "clicked": 0,
      "conversions": 0
    }
  },
  {
    "id": 1659,
    "uid": "76cedd11b19e",
    "idSite": 179,
    "name": "Sample Triggered Notification # 2: Item Shipped",
    "title": "Your order has been shipped!",
    "body": "All items from order have now been shipped.  Click to view tracking information.",
    "link": "https://demo.aimtell.com",
    "customIcon": "https://s3.amazonaws.com/siteicons.aimtell.com/icon_40_1443032714..jpg",
    "delay": 30,
    "eventCategory": "Item",
    "eventAction": "Shipped",
    "eventLabel": "",
    "conversion_trigger": null,
    "collapse_key": null,
    "createdAt": "2016-12-23 17:33:19",
    "updatedAt": "2017-02-18 01:12:03",
    "status": 5,
    "sentcount": null,
    "clickcount": null,
    "conversions": null,
    "bounced": null,
    "campaign_results": {
      "sent": 0,
      "delivered": 0,
      "bounced": 0,
      "clicked": 0,
      "conversions": 0
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Authorization-Api-Key
string
header
default:""
required

Path Parameters

id
string
required

Site ID

Query Parameters

limit
string

Maximum number of results to return per page.

skip
string

Number of results to skip for pagination (offset).

Response

200